<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        input:invalid {
        color: red;
        /* turn to red as long as pattern do not match */
        }
        input:invalid+b:before {
        content: 'Invalid Number';/* add text untill patterns matches */
        }
        #content{
            width: 100%;
            overflow-y: visible;
            height: 600px;
            border: 2px grey solid;
        }
    </style>
</head>
<body>
    <input type="file" id ="file">
    <input type="text" id="incremento" pattern="\d{2}:\d{2},\d{3}" placeholder="00:00,000" required>
    <div id="content">
        <video width="640" height="480" autoplay controls>
            <source src="video.mp4" type="video/mp4">
            <track label="English" kind="subtitles" srclang="en" id="subtitulos" default >
        </video>
    </div>
    <script src="main.js"></script>
</body>
</html>